Name: tqsllib
Version: 2.2
Release: 1%{?dist}
Summary: The TrustedQSL library
Group: Development/Libraries
License: BSD
URL: http://sourceforge.net/projects/trustedqsl/
Source: http://downloads.sourceforge.net/sourceforge/trustedqsl/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel
BuildRequires: expat-devel
BuildRequires: zlib-devel

%package devel
Summary: The TrustedQSL Library development tools
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description
The TrustedQSL library is used for generating digitally signed
QSO records (records of Amateur Radio contacts). This package
contains the library and configuration files needed to run
TrustedQSL applications.

%description devel
The TrustedQSL library is used for generating digitally signed
QSO records (records of Amateur Radio contacts). This package
contains the header files needed to build TrustedQSL applications
as well as a static tqsllib library and API documentation.

%prep
%setup -q -n %{name}-%{version}

%build
#openssl, expat, zlib detection is broken on other archs
#we disable detection to keep configure happy
export OPENSSL=/usr
export EXPAT=/usr
export ZLIB=/usr
# use --disable-docs because RPM handles docs itself
%configure --disable-docs --without-openssl --without-expat --without-zlib --disable-rpath --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
#unfortunately parallel build is broken
make
# cleanup CVS directoryes (wrongly packed in source)
rm -rf doxygen/html/CVS

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" INSTALL="install -p"
find %{buildroot} -name \*\.la -print | xargs rm -f

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%dir %{_datadir}/tqsl
%{_datadir}/tqsl/config.xml
%{_bindir}/dumptqsldata
%doc LICENSE ChangeLog

%files devel
%defattr(-,root,root,-)
%doc LICENSE ChangeLog doxygen/html
%{_libdir}/*.so
%{_includedir}/tqsllib.h
%{_includedir}/tqslerrno.h
%{_includedir}/cabrillo.h
%{_includedir}/adif.h
%{_includedir}/tqslconvert.h

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Sun Nov 20 2011 cooly@gnome.eu.org - 2.2-1
- drop patch - fixed upstream
- new upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 22 2009 Tomas Mraz <tmraz@redhat.com> - 2.0-9
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> - 2.0-6
- rebuild with new openssl

* Mon Jan 12 2009 Lucian Langa <cooly@gnome.eu.org> - 2.0-5
- modify patch0 to include fix for #479650 (CVE-2008-5077 related)

* Thu Aug 21 2008 Lucian Langa <cooly@gnome.eu.org> - 2.0-4
- make directory own by package

* Thu Aug 21 2008 Lucian Langa <cooly@gnome.eu.org> - 2.0-3
- disable static libraries

* Thu Aug 21 2008 Lucian Langa <cooly@gnome.eu.org> - 2.0-2
- misc cleanups

* Sun Jul 13 2008 Lucian Langa <lucilanga@gnome.org> - 2.0-1
- initial spec file for fedora

